Bug 67507 - rpc.statd/rpc.mountd/rpc.lockd are NOT protected by the tcp_wrapper library
rpc.statd/rpc.mountd/rpc.lockd are NOT protected by the tcp_wrapper library
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: nfs-utils (Show other bugs)
7.3
i386 Linux
high Severity medium
: ---
: ---
Assigned To: Steve Dickson
Ben Levenson
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-06-26 13:25 EDT by Marc Schmitt
Modified: 2007-03-26 23:54 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 12:16:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marc Schmitt 2002-06-26 13:25:13 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.0) Gecko/20020529

Description of problem:
I`m running an NFS server.
The man pages of rpc.statd state that it is protected by tcp_wrapper.
This can not be true, as telnet`ing on it`s port works, from anywhere,
independent of the hosts.allow and hosts.deny settings.
I think the same is true for rpc.lockd and rpc.mountd.
rpc.rquotad on the other hand is protected by tcp_wrapper.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. make entry in /etc/hosts.deny (ALL: ALL or statd: ALL)
2. check with `rpcinfo -p` on which port it is running (ex. 100024    1   tcp 
32828  status)
3. telnet host 32828
	

Actual Results:  the host accepts a telnet connection on that port

Expected Results:  the host should deny telnet on that port and create a log
entry (when using "ALL: ALL: spawn /bin/echo `date` %c %d >>
/var/log/tcpwrap.denials" in /etc/hosts.deny)

Additional info:

It`s a plain RH73 installation, the latest erratas installed (kernel 2.4.18-5, too).
Comment 1 Kjartan Maraas 2003-04-02 18:14:34 EST
Still no trace of libwrap in RHL 9 when doing 'ldd rpc.statd'
Comment 2 Kjartan Maraas 2003-04-02 18:15:53 EST
Forgot to add Cc
Comment 3 Mark J. Cox (Product Security) 2003-04-23 08:22:53 EDT
(although report is correct note that services are compiled statically against
libwrap so won't show up with ldd).  Reassigning to Steve.
Comment 4 Marc Schmitt 2003-04-23 11:44:35 EDT
FYI: I'm using version 1.0.3 of nfs-utils now, I noticed a difference: mounting
would no longer work on the clients unless I add a line "mountd: 192.168." in
/etc/hosts.allow on the server.
I've built the RPM with 'rpm -ta nfs-utils-1.0.3.tar.gz'.
Comment 5 Bill Nottingham 2006-08-04 23:52:10 EDT
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.
Comment 6 Bill Nottingham 2006-10-18 12:16:18 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.